{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "待办",
    "lanResTag" : "DE.LNAME.SYS_TODO",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[SYS_TODO]",
    "refFlag" : true
  },
  "caption" : "待办移动端",
  "codeName" : "SysTodoTodoMobMDView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoTodoMobMDView.json",
  "name" : "SysTodoTodoMobMDView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobMDView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewNavParams" : [ {
    "key" : "n_dcsystemid_eq",
    "name" : "n_dcsystemid_eq",
    "value" : "srfdcsystemid",
    "rawValue" : false
  }, {
    "key" : "n_todosubtype_eq",
    "name" : "n_todosubtype_eq",
    "value" : "Todo",
    "rawValue" : true
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "待办数据重定向视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "待办数据重定向视图",
      "lanResTag" : "PAGE.TITLE.SYS_TODO.REDIRECTVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.REDIRECTVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  }, {
    "name" : "OPENDATA",
    "realTitle" : "待办数据重定向视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "待办数据重定向视图",
      "lanResTag" : "PAGE.TITLE.SYS_TODO.REDIRECTVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.REDIRECTVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "待办数据重定向视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "待办数据重定向视图",
      "lanResTag" : "PAGE.TITLE.SYS_TODO.REDIRECTVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.REDIRECTVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/SysTodoRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Mob",
    "controlStyle" : "LISTVIEW",
    "controlType" : "MOBMDCTRL",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo/PSMOBMDCTRLS/Mob.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchCurUser"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "MOB",
    "mobListStyle" : "LISTVIEW",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchCurUser"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "MDCTRL"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TODOID",
        "codeName" : "TodoId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TITLE",
        "codeName" : "Title"
      }
    } ],
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "name" : "mdctrl",
    "modelid" : "f082cc4eb2aa53c016c394becea2e589",
    "modeltype" : "PSDELIST"
  }, {
    "codeName" : "TodoMobMDViewrighttoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（移动端多数据视图）",
    "name" : "righttoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : {
      "id" : "RIGHTTOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.NEW]",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "righttoolbar_tbitem1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.NEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "toolbarStyle" : "MOBNAVRIGHTMENU",
    "xDataControlName" : "mdctrl",
    "modelid" : "a8cd736a3346c5814b7a8a25a334e495",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : true
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "待办",
      "lanResTag" : "DE.LNAME.SYS_TODO",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[SYS_TODO]",
      "refFlag" : true
    },
    "caption" : "待办移动端",
    "codeName" : "TodoMobMDViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TodoMobMDView",
  "getPSDEViewId" : "7ED4D940-6349-46EB-9013-F1132C28D0B1",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBMDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "待办移动端",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBMDVIEW",
  "xDataControlName" : "mdctrl",
  "enableDP" : true,
  "enableFilter" : true,
  "enablePullDownRefresh" : false,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "0986DCD0-61CC-4E3C-AFC1-51E5F1B896C6",
  "modeltype" : "PSAPPDEVIEW"
}